[AI66-8]FTO Search - Add Comparison Document or Patent
For cases where the user needs to manually add comparison documents or patents, the output parameters of this interface can be used as the corresponding part of the input parameters in [AI66-6] FTO Search - Create Report.
Note: This is an auxiliary function and not a mandatory step. Valid request parameters must be provided.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | CN118289111A | Patent PN number |
Required | string | 80d440b7-80a5-4233-a75f-ab72b0885c88 | Task id |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
final_res | array | [
{
"lang": "zh",
"claims": [
{
"claim_num": 1,
"claim_text": "一种数据处理方法,其特征在于..."
}
],
"document": "一种基于人工智能的数据处理方法",
"features": [
{
"score": 85,
"public_score": 90,
"tech_feature": "人工智能算法",
"comparison_feature": "机器学习算法"
}
],
"patent_id": "CN123456789A",
"public_score": 87.5
}
] | Final results |
lang | string | zh | Language |
claims | array | [
{
"claim_num": 1,
"claim_text": "一种数据处理方法,其特征在于..."
}
] | Claims original text list |
claim_num | integer<int32> | 1 | Claim number (claim 1, claim 2, claim 3) |
claim_text | string | 一种数据处理方法,其特征在于:包括数据采集步骤、数据预处理步骤和数据分析步骤。 | Claim original text |
document | string | 一种基于人工智能的数据处理方法 | Document |
features | array | [
{
"score": 85,
"public_score": 90,
"tech_feature": "人工智能算法",
"comparison_feature": "机器学习算法"
}
] | Feature list |
score | integer<int32> | 85 | Score |
public_score | integer<int32> | 90 | Disclosure score |
tech_feature | string | 人工智能算法 | Technical feature |
comparison_feature | string | 机器学习算法 | Comparison feature |
patent_id | string | CN123456789A | Patent ID |
public_score | number<float> | 87.5 | Disclosure score |
threshold | integer<int32> | 75 | Threshold |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"final_res": [
{
"lang": "zh",
"claims": [
{
"claim_num": 1,
"claim_text": "一种数据处理方法,其特征在于:包括数据采集步骤、数据预处理步骤和数据分析步骤。"
}
],
"document": "一种基于人工智能的数据处理方法",
"features": [
{
"score": 85,
"public_score": 90,
"tech_feature": "人工智能算法",
"comparison_feature": "机器学习算法"
}
],
"patent_id": "CN123456789A",
"public_score": 87.5
}
],
"threshold": 75
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms